## libspnav 0.2

=== examples/Makefile ===
CC = gcc
CFLAGS = -pedantic -Wall -g -I..
LDFLAGS = -L.. -lspnav -lX11

all:	simple_x11 simple_af_unix

simple_x11:	simple.c
	$(CC) $(CFLAGS) $(LDFLAGS) -DBUILD_X11 -o $@ $^
simple_af_unix:	simple.c
	$(CC) $(CFLAGS) $(LDFLAGS) -DBUILD_AF_UNIX -o $@ $^

.PHONY: clean
clean:
	rm -f simple_x11 simple_x11.o \
	      simple_af_unix simple_af_unix.o

## libspnav 0.2.1

=== examples/Makefile ===
CC = gcc
CFLAGS = -pedantic -Wall -g -I..
LDFLAGS = -L.. -lspnav -lX11

.PHONY: all
all: simple_x11 simple_af_unix

simple_x11: simple.c
	$(CC) $(CFLAGS) -DBUILD_X11 -o $@ $< $(LDFLAGS)
simple_af_unix: simple.c
	$(CC) $(CFLAGS) -DBUILD_AF_UNIX -o $@ $< $(LDFLAGS)

.PHONY: clean
clean:
	rm -f simple_x11 simple_af_unix

## libspnav 0.2.2

=== examples/cube/Makefile ===
obj = cube.o vmath.o
bin = cube

CC = gcc
CFLAGS = -pedantic -Wall -g -I../..
LDFLAGS = -L../.. -lX11 -lGL -lGLU -lm -lspnav

$(bin): $(obj)
	$(CC) -o $@ $(obj) $(LDFLAGS)

.PHONY: clean
clean:
	rm -f $(obj) $(bin)

=== examples/simple/Makefile ===
CC = gcc
CFLAGS = -pedantic -Wall -g -I../..
LDFLAGS = -L../.. -lspnav -lX11

.PHONY: all
all: simple_x11 simple_af_unix

simple_x11: simple.c
	$(CC) $(CFLAGS) -DBUILD_X11 -o $@ $< $(LDFLAGS)
simple_af_unix: simple.c
	$(CC) $(CFLAGS) -DBUILD_AF_UNIX -o $@ $< $(LDFLAGS)

.PHONY: clean
clean:
	rm -f simple_x11 simple_af_unix

=== debian/changelog ===
libspnav (0.2.2-1ubuntu1) natty; urgency=low

  * Merge from Debian Unstable.  Remaining Ubuntu changes:
    - Add symbols file

 -- Scott Kitterman <scott@kitterman.com>  Fri, 31 Dec 2010 10:37:07 -0500

libspnav (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: 513467).

 -- M G Berberich <berberic@fmi.uni-passau.de>  Tue, 25 May 2010 21:20:21 +0200

libspnav (0.2.1-0ubuntu3) maverick; urgency=low

  * Add libspnav0.symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Jun 2010 14:59:27 +0100

libspnav (0.2.1-0ubuntu2) lucid; urgency=low

  * debian/control:
    - Adding libspnav0 to libspnav-dev depends
  * debian/rules:
    - Uncommenting dh_makeshlibs as package uses shlibs
  * Added debian/README.source since we are using Quilt for the time being.
    Nothing special is needed, so Quilt README.source was referenced.

 -- Richard A. Johnson <nixternal@ubuntu.com>  Tue, 12 Jan 2010 20:26:05 -0600

libspnav (0.2.1-0ubuntu1) lucid; urgency=low

  * New upstream release
  * debian/control:
    - Add: libspnav0 package section (LP: #325066)
    - Add: quilt to Build-Depends
    - Bump: Standards Version to 3.8.3
  * debian/patches:
    - Add: 01_fix_configure_libdir_with_arch.diff to fix FTBFS on amd64 arch
  * debian/watch:
    - Add: new watch file

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 11 Jan 2010 17:10:21 -0600

libspnav (0.2-0ubuntu1) jaunty; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Nov 2008 13:00:51 +0000

=== debian/control ===
Source: libspnav
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: M G Berberich <berberic@fmi.uni-passau.de>
Build-Depends: debhelper (>= 7),quilt, autotools-dev, libx11-dev
Standards-Version: 3.8.4
Section: libs
Homepage: http://spacenav.sourceforge.net/index.html
DM-Upload-Allowed: yes

Package: libspnav-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libspnav0 (= ${binary:Version})
Description: Library to access 3D-input-devices
 The spacenav project provides a free, compatible alternative to the
 proprietary 3Dconnexion SDK for their 3D input devices (called
 "space navigator", "space pilot", "space traveller", etc).
 .
 This package contains the developement-files

Package: libspnav0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: spacenavd
Description: Library to access 3D-input-devices (development files)
 The spacenav project provides a free, compatible alternative to the
 proprietary 3Dconnexion SDK for their 3D input devices (called
 "space navigator", "space pilot", "space traveller", etc).
 .
 This package contains the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


include /usr/share/quilt/quilt.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif


config.status: configure
	dh_testdir
	./configure --prefix=/usr --disable-debug \
	CFLAGS="$(CFLAGS)"


build: build-stamp
build-stamp:  config.status 
	dh_testdir
	$(MAKE) libdir=lib 
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	mkdir -p debian/tmp/usr/lib debian/tmp/usr/include 
	$(MAKE) libdir=lib PREFIX=$(CURDIR)/debian/tmp/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3

http://sf.net/spacenav/libspnav-(.+)\.tar\.gz

## libspnav 0.2.3

=== examples/cube/Makefile ===
obj = cube.o vmath.o
bin = cube

CC = gcc
CFLAGS = -pedantic -Wall -g -I../.. -I/usr/local/include
LDFLAGS = -L../.. -L/usr/local/lib -lX11 -lGL -lGLU -lm -lspnav

$(bin): $(obj)
	$(CC) -o $@ $(obj) $(LDFLAGS)

.PHONY: clean
clean:
	rm -f $(obj) $(bin)

=== debian/changelog ===
libspnav (0.2.3-1) unstable; urgency=medium

  * Imported Upstream version 0.2.3
  * Remove useless patch (corrected upstream).
  * Patch Makefile to correct ldconfig symlink.
  * Use DEP-5 copyright file format.
  * Switch to debhelper > 9.
  * Add Vcs-* fields.
  * Raise the priority to optional. Closes: #762122.
  * Remove quilt and autotools-dev dependencies.
  * Bump standards version to 3.9.6 and remove obsolete DM-Upload-Allowed field.
  * Disable debug symbol.
  * Enable hardenings flags and patch Makefile.
  * Add initial libspnav0.symbols file.
  * New maintainer. Closes: #781185.

 -- Rodolphe PELLOUX-PRAYER <rodolphe@damsy.net>  Mon, 18 May 2015 22:33:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: libspnav
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: M G Berberich <berberic@fmi.uni-passau.de>
-Build-Depends: debhelper (>= 7),quilt, autotools-dev, libx11-dev
-Standards-Version: 3.8.4
 Section: libs
-Homepage: http://spacenav.sourceforge.net/index.html
-DM-Upload-Allowed: yes
+Priority: optional
+Maintainer: Rodolphe PELLOUX-PRAYER <rodolphe@damsy.net>
+Build-Depends: debhelper (>= 9), libx11-dev
+Standards-Version: 3.9.6
+Homepage: http://spacenav.sourceforge.net
+Vcs-Browser: https://gitlab.com/RoPP/libspnav/tree/master
+Vcs-Git: https://gitlab.com/RoPP/libspnav.git
 
 Package: libspnav-dev
 Section: libdevel

## libspnav 1.0

=== doc/Makefile ===
.PHONY: all
all: manual.html

%.html: %.md man_head.html
	cat man_head.html >$@
	markdown $< >>$@
	echo '</body></html>' >>$@

=== examples/cube/Makefile ===
obj = cube.o
bin = cube

CC = gcc
CFLAGS = -pedantic -Wall -g -I../.. -I../../src -I/usr/local/include
LDFLAGS = -L../.. -L/usr/local/lib -lX11 -lGL -lGLU -lspnav -lm

$(bin): $(obj)
	$(CC) -o $@ $(obj) $(LDFLAGS)

.PHONY: clean
clean:
	rm -f $(obj) $(bin)

=== examples/fly/Makefile ===
obj = fly.o xwin.o
bin = fly

CC ?= gcc
CFLAGS = -pedantic -Wall -g -I../.. -I../../src -I/usr/local/include
LDFLAGS = -L../.. -L/usr/local/lib -lX11 -lGL -lGLU -lspnav -lm

$(bin): $(obj)
	$(CC) -o $@ $(obj) $(LDFLAGS)

.PHONY: clean
clean:
	rm -f $(obj) $(bin)

=== debian/changelog ===
libspnav (1.0-1) unstable; urgency=medium

  * Introduced Team upload next to FreeCAD with the Science-Team.
  * New upstream version
  * Updated patches.
  * The previous update did not make it to the distribution. (Closes: 843802)
  * d/rules: better clean for repeated builds
  * d/docs: README -> README.md
  * d/*install: pkgconfig info installed
  * Updates by routine-update
    - Standards-Version: 4.6.1
    - debhelper-compat 13
    - Add salsa-ci file
    - Rules-Requires-Root: no
    - watch file standard 4

 -- Steffen Moeller <moeller@debian.org>  Sun, 21 Aug 2022 18:31:36 +0200

libspnav (0.2.3-2) unstable; urgency=medium

  * Fix FTCBFS: Let the makefile buildsystem pass cross compilers (thx Helmut Grohne). Closes: #843802
  * Update Standards-Version to 3.9.8

 -- Rodolphe Pelloux-Prayer <rodolphe@damsy.net>  Mon, 14 Nov 2016 22:14:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Rodolphe PELLOUX-PRAYER <rodolphe@damsy.net>
-Build-Depends: debhelper (>= 9), libx11-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 13), libx11-dev
+Standards-Version: 4.6.1
 Homepage: http://spacenav.sourceforge.net
-Vcs-Browser: https://gitlab.com/RoPP/libspnav/tree/master
-Vcs-Git: https://gitlab.com/RoPP/libspnav.git
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/science-team/libspnav
+Vcs-Git: https://salsa.debian.org/science-team/libspnav.git
 
 Package: libspnav-dev
 Section: libdevel
@@ -17,7 +18,7 @@
  proprietary 3Dconnexion SDK for their 3D input devices (called
  "space navigator", "space pilot", "space traveller", etc).
  .
- This package contains the developement-files
+ This package contains the development-files.
 
 Package: libspnav0
 Architecture: any

## libspnav 1.1

=== debian/changelog ===
libspnav (1.1-2~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 01 Oct 2024 14:52:55 -0700

libspnav (1.1-2) unstable; urgency=medium

  * Team upload.
  * Apply "wrap-and-sort -abst".
  * debian/control: Add missing dependency libspnav-dev => libx11-dev.
    (LP: #1918984)

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Feb 2024 14:01:50 -0500

libspnav (1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/watch: Monitor github project instead.

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Jul 2023 12:56:56 -0400

libspnav (1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Steffen Moeller ]
  * Added team as maintainer.
  * Added myself as an uploader.

  [ Boyuan Yang ]
  * debian/patches/0003-Makefile.in-Also-link-math-library-lm.patch:
    Add missing link to libm library. (Closes: #1018212)

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Jul 2023 20:42:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,10 @@
 Source: libspnav
 Section: libs
 Priority: optional
-Maintainer: Rodolphe PELLOUX-PRAYER <rodolphe@damsy.net>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Rodolphe PELLOUX-PRAYER <rodolphe@damsy.net>
 Build-Depends: debhelper-compat (= 13), libx11-dev
 Standards-Version: 4.6.1
 Homepage: http://spacenav.sourceforge.net
@@ -12,17 +15,17 @@
 Package: libspnav-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libspnav0 (= ${binary:Version})
+Depends: libspnav0 (= ${binary:Version}), libx11-dev, ${misc:Depends}
 Description: Library to access 3D-input-devices
  The spacenav project provides a free, compatible alternative to the
  proprietary 3Dconnexion SDK for their 3D input devices (called
  "space navigator", "space pilot", "space traveller", etc).
  .
- This package contains the development-files.
+ This package contains the development files.
 
 Package: libspnav0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: spacenavd
 Description: Library to access 3D-input-devices (development files)
  The spacenav project provides a free, compatible alternative to the

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	dh_auto_configure -- --disable-debug

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile

override_dh_auto_clean:
	dh_auto_clean
	rm -f spnav.pc src/spnav_config.h

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

%:
	dh $@

## libspnav 1.2

=== examples/cube/Makefile ===
obj = cube.o
bin = cube

incdir =  -I../.. -I../../src -I/usr/local/include -I/usr/X11R6/include \
		  -I/opt/homebrew/include
libdir = -L../.. -L/usr/local/lib -L/usr/X11R6/lib -L/opt/homebrew/lib

CFLAGS = -pedantic -Wall -g $(incdir)
LDFLAGS = $(libdir) -lGL -lGLU -lspnav -lX11 -lm

$(bin): $(obj)
	$(CC) -o $@ $(obj) $(LDFLAGS)

.PHONY: clean
clean:
	rm -f $(obj) $(bin)

=== examples/fly/Makefile ===
obj = fly.o xwin.o
bin = fly

incdir =  -I../.. -I../../src -I/usr/local/include -I/usr/X11R6/include \
		  -I/opt/homebrew/include
libdir = -L../.. -L/usr/local/lib -L/usr/X11R6/lib -L/opt/homebrew/lib

CFLAGS = -pedantic -Wall -O3 $(incdir)
LDFLAGS = $(libdir) -lGL -lGLU -lspnav -lX11 -lm

$(bin): $(obj)
	$(CC) -o $@ $(obj) $(LDFLAGS)

.PHONY: clean
clean:
	rm -f $(obj) $(bin)

=== examples/simple/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
-CC = gcc
-CFLAGS = -pedantic -Wall -g -I../..
-LDFLAGS = -L../.. -lspnav -lX11
+incdir =  -I../.. -I../../src -I/usr/local/include -I/usr/X11R6/include \
+		  -I/opt/homebrew/include
+libdir = -L../.. -L/usr/local/lib -L/usr/X11R6/lib -L/opt/homebrew/lib
+
+CFLAGS = -pedantic -Wall -g $(incdir)
+LDFLAGS = $(libdir) -lspnav -lX11 -lm
 
 .PHONY: all
 all: simple_x11 simple_af_unix

=== debian/changelog ===
libspnav (1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 21 Apr 2025 19:24:16 -0400

=== debian/control ===
Source: libspnav
Section: libs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
 Rodolphe PELLOUX-PRAYER <rodolphe@damsy.net>,
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
Standards-Version: 4.7.2
Homepage: http://spacenav.sourceforge.net
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/libspnav
Vcs-Git: https://salsa.debian.org/science-team/libspnav.git
Description: Library to access 3D-input-devices
 The spacenav project provides a free, compatible alternative to the
 proprietary 3Dconnexion SDK for their 3D input devices (called
 "space navigator", "space pilot", "space traveller", etc).

Package: libspnav-dev
Section: libdevel
Architecture: any
Depends:
 libspnav0 (= ${binary:Version}),
 libx11-dev,
 ${misc:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the development-files.

Package: libspnav0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 spacenavd,
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the library.

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,5 @@
 	dh_auto_clean
 	rm -f spnav.pc src/spnav_config.h
 
-# No dbgsym packages:
-override_dh_strip:
-	@echo "not building dbgsym packages for MX Linux"
-	dh_strip --no-automatic-dbgsym
-
 %:
 	dh $@
